const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.setPublicPath('public/assets');
mix.options({processCssUrls: false});

mix.copy('node_modules/echarts/dist/echarts.min.js', 'public/assets/js/chartisan');
mix.copy('node_modules/@chartisan/echarts/dist/chartisan_echarts.js', 'public/assets/js/chartisan');

if (mix.inProduction()) {
  mix.version();
}

/*
 /--------------------------------------------------------------------------
 / BACKEND
 /--------------------------------------------------------------------------
 */
